AddDefaultCharset cp1251

<Files "config.php">
  Order Deny,Allow
  Deny from all
</Files>
<Files "sfb.php">
  Order Deny,Allow
  Deny from all
</Files>
<Files "sfbstats.php">
  Order Deny,Allow
  Deny from all
</Files>

DirectoryIndex index.php
RewriteEngine On
RewriteRule ^support.html$ support.php [L]
RewriteRule ^comp_day.html$ comp_day.php [L]
RewriteRule ^index.html$ index.php [L]
RewriteRule ^about.html$ about.php [L]
RewriteRule ^ver.html$ verification.php [L]
RewriteRule ^viewads.html$ sites.php [L]
RewriteRule ^task-(.*).html$ tasklist.php?id=$1 [L]
RewriteRule ^adabuse-(.*).html$ zhaloba.php?id=$1 [L]
RewriteRule ^readads.html$ mails.php [L]
RewriteRule ^login.html$ login.php [L]
RewriteRule ^tasks.html$ tasklist.php [L]
RewriteRule ^task-(.*),(.*).html$ tasklist.php?id=$1&p=$2 [L]
RewriteRule ^(.*)-tasks.html$ tasklist.php?p=$1 [L]
RewriteRule ^(.*)-news.html$ news.php?pg=$1 [L]
RewriteRule ^(.*)-new.html$ news.php?id=$1 [L]
RewriteRule ^(.*)-([^/]*)-tasks.html$ tasklist.php?sort=$2&p=$1 [L]
RewriteRule ^(.*)-mytasks.html$ tasklist.php?pg=onlymy&p=$1 [L]
RewriteRule ^([^/]*)-(.*)-mytasks.html$ tasklist.php?pg=onlymy&sort=$1&p=$2 [L]

RewriteRule ^add([^/]*)(/?).html+$ advertise.php?adv=$1 [L]
RewriteRule ^add([^/]*)(/?).html+$ advertise_bez.php?adv=$1 [L]
RewriteRule ^adview-(.*).html$ view.php?ad=$1 [L]
RewriteRule ^adviewpp-(.*).html$ view1.php?ad=$1 [L]
RewriteRule ^adviewp-(.*).html$ viewp.php?ad=$1 [L]
RewriteRule ^abusetask-(.*).html$ taskabuse.php?id=$1 [L]
RewriteRule ^profile.html$ members.php [L]
RewriteRule ^chat.html$ chat.php [L]
RewriteRule ^reyt-stat.html$ stat-reyt.php [L]
RewriteRule ^payments.html$ pay_money.php [L]
RewriteRule ^competitions.html$ comp.php [L]
RewriteRule ^ref-box.html$ addrefbox.php [L]
RewriteRule ^users-(.*)-wall.html$ wall_user.php?usid=$1 [L]
RewriteRule ^cart.html$ basket.php [L]

RewriteRule ^promo.html$ reflinks.php [L]
RewriteRule ^jarmarka.html$ jarmarka.php [L]
RewriteRule ^adblock-info.html$ block_info.php [L]
RewriteRule ^buy-refs.html$ buyrefs.php [L]
RewriteRule ^allbanners-468.html$ banners468.php [L]
RewriteRule ^allbanners-100.html$ banners100.php [L]
RewriteRule ^allbanners-88.html$ banners88.php [L]
RewriteRule ^alltextads.html$ alltextads.php [L]
RewriteRule ^allstatlinks.html$ allstatlinks.php [L]
RewriteRule ^lostpass.html$ restorepass.php [L]
RewriteRule ^login.html$ login.html [L]
RewriteRule ^history.html$ history.php [L]
RewriteRule ^editprofile.html$ editprofile.php [L]
RewriteRule ^news.html$ news.php [L]
RewriteRule ^rules.html$ tos.php [L]
RewriteRule ^faq.html$ faq.php [L]
RewriteRule ^advert.html$ advertise.php [L]
RewriteRule ^reg.html$ register.php [L]
RewriteRule ^mails.html$ mail.php [L]
RewriteRule ^send-mails,([^/]*).html$ mail.php?p=send&name=$1 [L]
RewriteRule ^([^/]*)-mails.html$ mail.php?p=$1 [L]
RewriteRule ^([^/]*)-reg.html$ register.php?r=$1 [L]
RewriteRule ^waited.html$ waitpay.php [L]
RewriteRule ^moneytoacc.html$ moneytoacc.php [L]
RewriteRule ^exit.html$ logout.php [L]
RewriteRule ^dengy.html$ viplata.php [L]
RewriteRule ^convert.html$ convert-r-m.php [L]
RewriteRule ^moneyforadv.html$ moneyforadv.php [L]
RewriteRule ^reflist.html$ referals.php [L]
RewriteRule ^reflist-(.*).html$ referals.php?sorting=$1 [L]
RewriteRule ^2reflist.html$ referals2.php [L]
RewriteRule ^taskadd.html$ taskadd.php [L]
RewriteRule ^checktasks.html$ taskcheck.php [L]
RewriteRule ^goodtasks.html$ taskok.php [L]
RewriteRule ^auto-back.html$ autorefb.php [L]
RewriteRule ^contact.html$ contact.php [L]
RewriteRule ^tos.html$ tos.php [L]

RewriteRule ^ban-link-([^-]*)\.html$ /inc/ban_url.php?link=$1 [L]
RewriteRule ^st-link-([^-]*)\.html$ /inc/sl_url.php?link=$1 [L]

RewriteRule ^forum$ forum.php [L]
RewriteRule ^forum_topic_([0-9]+)$ forum_topic.php?id=$1 [L]
RewriteRule ^forum_topic_([0-9]+)-([0-9]+)$ forum_topic.php?id=$1&pg=$2 [L]
RewriteRule ^forum_post_([0-9]+)$ forum_post.php?id=$1 [L]
RewriteRule ^forum_post_([0-9]+)-([0-9]+)$ forum_post.php?id=$1&pg=$2 [L]
RewriteRule ^forum_rep_([0-9]+)$ forum_rep.php?id=$1 [L]
RewriteRule ^forum_rep_([0-9]+)-([0-9]+)$ forum_rep.php?id=$1&pg=$2 [L]